<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form xmlns="http://www.ge.fr/schema/1.2/form-manager" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" id="info" label="Recherche du canal Eddie" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
    <default>
        <data type="StringReadOnly" mandatory="false" />
    </default>
	<group id="eddie" label="Canal Eddie">
        <!-- Partie recherche -->
        <group id="search" label="Recherche d'un canal Eddie">
            <data id="channel" label="Canal Eddie à rechercher :" type="String" width="80%" mandatory="true"/>
			<data id="searchButton" type="Button" width="15%">
                <value>
                    <list>
                        <text id="label">search</text>
                        <text id="icon">cogs</text>
                        <text id="color">#F6A924</text>
                        <text id="size">sm</text>
                    </list>
                </value>
            </data>
        </group>
        <!-- Partie resultat -->
        <group id="results" label="Résultat de la recherche">
			<group id="input" label="Rappel des éléments d'entrée." fold="yes">
				<data id="url" label="Url du service." type="StringReadOnly" />
				<data id="channelId" label="Canal Eddie" type="StringReadOnly" />
			</group>
			<group id="output" label="Resultat de l'appel" fold="yes">
				<data id="status" label="Statut de retour" type="StringReadOnly" />
				<data id="response" label="Message de retour" type="TextReadOnly" />
				<data id="found" type="String"/>
			</group>
			<group id="noresult" label="Pas de canal Eddie" if="$results.output.found=='ko'">
				<description>
			La recherche n'a pas permis de trouver un canal Eddie.
				</description>
			</group>
			<group id="result" label="Canal trouvé" if="$results.output.found=='ok'">
				<data id="channel" label="Configuration du canal" type="TextReadOnly"/>
			</group>
        </group>
    </group>
</form>